Method: projects.locations.instances.updateShieldedInstanceConfig

מעדכנים את ההגדרות של מכונה מוגנת.

בקשת HTTP

PATCH https://notebooks.googleapis.com/v1/{name}:updateShieldedInstanceConfig

פרמטרים של נתיב

פרמטרים
name

string

חובה. פורמט: projects/{projectId}/locations/{location}/instances/{instanceId}

כדי לתת הרשאה, צריך את הרשאת IAM הבאה במשאב שצוין name:

  • notebooks.instances.updateShieldInstanceConfig

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "shieldedInstanceConfig": {
    object (ShieldedInstanceConfig)
  }
}
שדות
shieldedInstanceConfig

object (ShieldedInstanceConfig)

ההגדרות של ShieldedInstance שצריך לעדכן.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

ניתן למצוא מידע נוסף כאן: Authentication Overview.